System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.Schema.XmlSchemaAnnotated To be added

The base class for all simple types and complex types.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("This property is going away. Use BaseXmlSchemaType instead")
  System.Xml.Serialization.XmlIgnore
  System.Object To be added: an object of type 'object'

  The complexType is derived from the type specified by the base value. The base value must be a QName.

  The property is obsolete and has been replaced by the property.

  Gets the post-compilation object type or the built-in XML Schema Definition Language (XSD) data type, simpleType element, or complexType element. This is a post-schema-compilation infoset property.

- Property
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.Schema.XmlSchemaType To be added.

  The property always has a value, because all schema types have a base type. This value is set upon schema compilation, making it a part of the post-schema-compilation infoset.

  Gets the post-compilation value for the base type of this schema type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.Schema.XmlSchemaDatatype To be added: an object of type 'XmlSchemaDatatype' To be added

  Gets the post-compilation value for the data type of the complex type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.Schema.XmlSchemaDerivationMethod To be added: an object of type 'XmlSchemaDerivationMethod'

  The following table shows the values that this property can contain.

  value

  Description

  No derivation method specified.

  Derived by Substitution.

  Derived by Extension.

  Derived by Restriction.

  Derived by List.

  Derived by Union.

  Gets the post-compilation information on how this element was derived from its base type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DefaultValue(Mono.Cecil.CustomAttributeArgument)
  System.Xml.Serialization.XmlAttribute("final")
  System.Xml.Schema.XmlSchemaDerivationMethod To be added: an object of type 'XmlSchemaDerivationMethod'

  The following table shows the values that this property can contain for simple type.

  value

  Description

  Overrides the schema blockDefault setting allowing any derivations by restriction, extension, or substitution to take place.

  No derivation method is specified. This is the default. Derivation rules are taken from the schema blockDefault setting.

  Cannot be replaced by a type derived by Substitution.

  Cannot be replaced by a type derived by Extension.

  Cannot be replaced by a type derived by Restriction.

  #all. Cannot be replaced by a type derived by any derivation method.

  The following table shows the values that this property can contain for complex type.

  value

  Description

  Overrides the schema blockDefault setting allowing any derivations by restriction, extension, or substitution to take place.

  No derivation method is specified. This is the default. Derivation rules are taken from the schema blockDefault setting.

  Cannot be replaced by a type derived by Substitution.

  Cannot be replaced by a type derived by Extension.

  Cannot be replaced by a type derived by Restriction.

  #all. Cannot be replaced by a type derived by any derivation method.

  Gets or sets the final attribute of the type derivation that indicates if further derivations are allowed.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.Schema.XmlSchemaDerivationMethod To be added: an object of type 'XmlSchemaDerivationMethod'

  This value indicates how the type is restricted when the type is extended through restriction. If the type is marked as final, this type cannot be extended.

  Gets the post-compilation value of the property.

- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchemaComplexType `` To be added.

  Returns an that represents the built-in complex type of the complex type specified.

  The that represents the built-in complex type.

  One of the values representing the complex type.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchemaComplexType `` To be added.

  Returns an that represents the built-in complex type of the complex type specified by qualified name.

  The that represents the built-in complex type.

  The of the complex type.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchemaSimpleType ``

  You cannot directly serialize the built-in type. If you need to serialize the type, create a new simple type which derives from the built-in type and serialize the simple type.

  Returns an that represents the built-in simple type of the specified simple type.

  The that represents the built-in simple type.

  One of the values representing the simple type.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.XmlSchemaSimpleType ``

  You cannot directly serialize the built-in type. If you need to serialize the type, create a new simple type which derives from the built-in type and serialize the simple type.

  Returns an that represents the built-in simple type of the simple type that is specified by the qualified name.

  The that represents the built-in simple type.

  The of the simple type.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Returns a value indicating if the derived schema type specified is derived from the base schema type specified

  true if the derived type is derived from the base type; otherwise, false.

  The derived to test. The base to test the derived against. One of the values representing a type derivation method to exclude from testing.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Boolean To be added: an object of type 'bool'

  This virtual method is overridden in derived classes.

  Gets or sets a value indicating if this type has a mixed content model. This property is only valid in a complex type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlAttribute("name")
  System.String To be added: an object of type 'string'

  The name must be an no-colon name (NCName) as defined in the World Wide Web Consortium (W3C) XML Namespaces specification. If specified, the name must be unique among all simpleType and complexType elements.

  Gets or sets the name of the type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.XmlQualifiedName To be added: an object of type 'System.Xml.XmlQualifiedName' To be added

  Gets the qualified name for the type built from the Name attribute of this type. This is a post-schema-compilation property.

- Property
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Xml.Schema.XmlTypeCode To be added. To be added.

  Gets the of the type.